import Link from "next/link";

const SingleList = ({ list }) => {
  if (!list.active) return null;

  return (
    <div className="flex flex-col gap-3">
      <strong>{list.title}</strong>
      {list?.links?.map((link, linkIndex) => (
        <Link key={linkIndex} href={link.address}>
          {link.title}
        </Link>
      ))}
    </div>
  );
};

const FooterLists = ({ lists }) => {
  return (
    <div className="w-full grid grid-cols-2 md:grid-cols-3 gap-4">
      {lists?.map((list, listIndex) => (
        <SingleList key={listIndex} list={list} />
      ))}
    </div>
  );
};

export default FooterLists;
